Page 1 of 1

Can't login anymore

PostPosted: Sun Oct 02, 2005 8:11 pm
by Colin Finck
Hello!
My webhoster just upgraded from Solaris with PHP 5.0.3 to Linux with PHP 5.0.5. But now I can't login to PPhlogger anymore. It always shows "Wrong password".
You can find a phpinfo-file here: http://www.colinfinck.de/phpinfo.php
Do you have any ideas what the problem could be?

Best regards!

Colin Finck

Solved :-)

PostPosted: Sun Oct 02, 2005 8:43 pm
by Colin Finck
Ok, I just solved the problem :-).
My webhoster turned off the option "register_long_arrays", so the old HTTP_*_VARS arrays, which are used by PPhlogger, cannot be used anymore.
For everyone who is interested, here are all the changes I made:
  1. login.php - line 37 - change $HTTP_POST_VARS to $_POST
  2. login.php - line 49/50 - change $HTTP_SESSION_VARS to $_SESSION
  3. defines.lib.php (directory "libraries") - line 94/95 - change $HTTP_SERVER_VARS to $_SERVER
  4. htmlMimeMail.php (directory "modules") - line 131-134 - change $GLOBALS["HTTP_SERVER_VARS"] to $_SERVER
That was everything. Now it works.

Best regards!

Colin Finck

PostPosted: Wed Oct 05, 2005 10:24 pm
by alexemde
this should be made sticky! I encoutered this same problem startin gthis friday and couldn't find the answer in the forums...

This one solved my problems completely.

Thanks a lot!